%define major	0
%define libname	%mklibname esound %{major}
%define develname %mklibname esound -d

Summary:	The Enlightened Sound Daemon
Name:		esound
Version:	0.2.41
Release:	10
License:	LGPLv2+
Group:		System/Servers
URL:		ftp://ftp.gnome.org/pub/GNOME/sources/esound/

Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/esound/esound-%{version}.tar.bz2
# (fc) 0.2.28 default options : increase spawn process waiting time, release device after 2s of inactivity
Patch0:		esound-0.2.37-defaultoptions.patch

BuildRequires:	pkgconfig(audiofile)
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd412-xml

%description
EsounD (the Enlightened Sound Daemon) is a server process that allows multiple
applications to share a single sound card. For example, when you're listening
to music from your CD and you receive a sound-related event from ICQ, your
applications won't have to jockey for the attention of your sound card.

EsounD mixes several audio streams for playback by a single audio device.

%package utils
Summary:	Utilities for EsounD
Group:		Sound
Requires:	%{libname} = %{version}-%{release}

%description utils
Utility applications for EsounD

%package -n %{libname}
Summary:	Libraries for EsounD
Group:		System/Libraries
Provides:	libesound

%description -n %{libname}
These are the libraries for EsounD.

%package -n %{develname}
Summary:	Includes and more to develop EsounD applications
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	esound-devel

%description -n %{develname}
Libraries, include files and other resources you can use to develop EsounD
applications.

%prep
%setup -q
%patch0 -p1 -b .defaultoptions

%build

%configure2_5x \
	--disable-static \
	--with-libwrap \
	--disable-alsa

%make LIBS='-lm'

%install
rm -rf %{buildroot} installed-docs
%makeinstall_std
mv %{buildroot}%_datadir/doc/esound installed-docs

# (cg) We no longer ship the actual deamon - PulseAudio does this these days
rm -f %{buildroot}%{_sysconfdir}/esd.conf %{buildroot}%{_bindir}/esd %{buildroot}%{_mandir}/man1/esd.1*

%files utils
%doc installed-docs/*
%doc AUTHORS INSTALL NEWS README TIPS TODO
%{_bindir}/esdcat
%{_bindir}/esdctl
%{_bindir}/esddsp
%{_bindir}/esdfilt
%{_bindir}/esdloop
%{_bindir}/esdmon
%{_bindir}/esdplay
%{_bindir}/esdrec
%{_bindir}/esdsample
%{_mandir}/man1/esd[a-z]*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_bindir}/esd-config
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/esd-config.1*




%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.2.41-10
+ Revision: dc468b2
- MassBuild#440: Increase release tag


